org.apache.ignite.cache.store

## Interface CacheStoreSession

    public interface CacheStoreSession

Session for the cache store operations.

See Also:
  `CacheStoreSessionResource`

### Method Summary

Methods
`String` `cacheName()` Cache name for the current store operation.
`<K,V> Map<K,V>` `properties()` Gets current session properties.
`Transaction` `transaction()` Gets transaction spanning multiple store operations, or `null` if there is no transaction.

### Method Detail

#### transaction

    Transaction transaction()

Gets transaction spanning multiple store operations, or `null` if there is no transaction.

Returns:
  Transaction belonging to current session.

#### properties

    <K,V> Map<K,V> properties()

Gets current session properties. You can add properties directly to the returned map.

Returns:
  Current session properties.

#### cacheName

    String cacheName()

Cache name for the current store operation. Note that if the same store is reused between different caches, then the cache name will change between different store operations.

Returns:
  Cache name for the current store operation.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015